<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Mod: Members List
| Version: 1.00
| Author: Sebastian Schssler (slaughter)
| Download: http://basti2web.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";
require_once THEMES."templates/header.php";

if (file_exists(LOCALE.LOCALESET."memberlist_basti2web.php")) {
	include LOCALE.LOCALESET."memberlist_basti2web.php";
} else {
	include LOCALE."English/memberlist_basti2web.php";
}

add_to_title($locale['global_200'].$locale['ml_100']);

opentable($locale['ml_100']);
//if (iMEMBER) {
	if (!isset($_GET['sortby']) || !preg_match("/^[0-9A-Z]$/", $_GET['sortby'])) { $_GET['sortby'] = "all"; }
	$orderby = ($_GET['sortby'] == "all" ? "" : " WHERE user_name LIKE '".stripinput($_GET['sortby'])."%'");
	$result = dbquery("SELECT * FROM ".DB_USERS.$orderby."");
	$rows = dbrows($result);
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if ($rows) {
		$i = 0;
		echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
		echo "<td class='tbl2'><strong>".$locale['ml_101']."</strong></td>\n";
		if (iMEMBER) echo "<td class='tbl2'><strong>".$locale['ml_105']."</strong></td>\n";
		echo "<td class='tbl2'><strong>".$locale['ml_106']."</strong></td>\n";
		echo "<td class='tbl2'><strong>".$locale['ml_107']."</strong></td>\n";

		echo "<td class='tbl2'><strong>".$locale['ml_108']."</strong></td>\n";
		echo "<td class='tbl2'><strong>".$locale['ml_109']."</strong></td>\n";
		echo "<td align='center' class='tbl2' style='white-space:nowrap'><strong>".$locale['ml_102']."</strong></td>\n";
		echo "</tr>\n";
		$result = dbquery("SELECT * FROM ".DB_USERS.$orderby." ORDER BY user_level DESC, user_name LIMIT ".$_GET['rowstart'].",20");
		while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2"); $i++;

		// Name
		echo "<tr>\n<td class='$cell_color'>\n<a href='profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></td>\n";
	
		// PM	
		if (iMEMBER && $data['user_id'] != $userdata['user_id']) {
		echo "<td class='$cell_color' width='5%' ><a href='".BASEDIR."messages.php?msg_send=".$data['user_id']."' title='send PM'><img src='".get_image("pm")."' alt='send PM' style='border:0px;' /></a></td>\n";
		} elseif(iMEMBER) {
		echo "<td class='tbl1'>&nbsp;</td>";
		}
		
		// Website
		echo "<td class='$cell_color' width='5%' >";
		if (array_key_exists("user_web", $data) && $data['user_web']) {
			if (!strstr($data['user_web'], "http://")) { $urlprefix = "http://"; } else { $urlprefix = ""; }
			echo "<a href='".$urlprefix."".$data['user_web']."' target='_blank' title='".$data['user_web']."'><img src='".get_image("web")."' alt='".$data['user_web']."' style='border:0px;'></a>";
		} echo "</td>";
	
		// Location
		echo "<td class='$cell_color'>".trimlink($data['user_location'] ? $data['user_location'] : "n/A", 20)."</td>";

		// Posts
		echo "<td class='$cell_color' width='5%'>".$data['user_posts']."</td>";

				
		// dabei seit		
		echo "<td align='center' width='5%' class='$cell_color' style='white-space:nowrap'> ".
		showdate("%d. %b %Y", $data['user_joined'])."</td>";
		
		// Groups (locales not supportet)	
		//echo "<td class='$cell_color'>\n".($groups ? $groups : ($data['user_level']==103 ? $locale['407'] : $locale['406']))."</td>\n";
		// User-Level
		echo "<td align='center' width='5%' class='$cell_color' style='white-space:nowrap'>".getuserlevel($data['user_level'])."</td>\n</tr>";
		}
		echo "</table>\n"; 
	} else {
		echo "<center><br />\n".$locale['ml_103'].$_GET['sortby']."<br /><br />\n</center>\n";
	}
	$search = array(
		"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R",
		"S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9"
	);
	echo "<hr />\n<table cellpadding='0' cellspacing='1' class='tbl-border center'>\n<tr>\n";
	echo "<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?sortby=all'>".$locale['ml_104']."</a></td>";
	for ($i = 0; $i < 36 != ""; $i++) {
		echo "<td align='center' class='tbl1'><div class='small'><a href='".FUSION_SELF."?sortby=".$search[$i]."'>".$search[$i]."</a></div></td>";
		echo ($i == 17 ? "<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?sortby=all'>".$locale['ml_104']."</a></td>\n</tr>\n<tr>\n" : "\n");
	}
	echo "</tr>\n</table>\n";
//} else {
//	redirect("index.php");
//}
echo "Members List by <a href='http://basti2web.de' title='http://basti2web.de' target='_blank'>basti2web.de</a>";
closetable();
if ($rows > 20) { echo "<div align='center' style='margin-top:5px;'>".makepagenav($_GET['rowstart'], 20, $rows, 3, FUSION_SELF."?sortby=".$_GET['sortby']."&amp;")."</div>\n"; }



require_once THEMES."templates/footer.php";
?>
